package org.apache.bcel.classfile;

import java.io.DataInput;
import java.io.IOException;

/* loaded from: org_apache_bcel_classfile.jar:org/apache/bcel/classfile/ConstantInvokeDynamic.class */
public final class ConstantInvokeDynamic extends ConstantCP {
    public ConstantInvokeDynamic(ConstantInvokeDynamic c) {
        this(c.getBootstrapMethodAttrIndex(), c.getNameAndTypeIndex());
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public ConstantInvokeDynamic(DataInput file) throws IOException {
        this(file.readShort(), file.readShort());
    }

    public ConstantInvokeDynamic(int bootstrapMethodAttrIndex, int nameAndTypeIndex) {
        super((byte) 18, bootstrapMethodAttrIndex, nameAndTypeIndex);
    }

    @Override // org.apache.bcel.classfile.Constant, org.apache.bcel.classfile.Node
    public void accept(Visitor v) {
        v.visitConstantInvokeDynamic(this);
    }

    public int getBootstrapMethodAttrIndex() {
        return super.getClassIndex();
    }

    @Override // org.apache.bcel.classfile.ConstantCP, org.apache.bcel.classfile.Constant
    public String toString() {
        return super.toString().replace("class_index", "bootstrap_method_attr_index");
    }
}
